Đến nội dung


Hình ảnh

In các bản vẽ nghiêng trong CAD thế nào ah?


  • Please log in to reply
3 replies to this topic

#1 pinkrock

pinkrock

    biết zoom

  • Members
  • Pip
  • 13 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 18 January 2012 - 05:13 PM

Hình đã gửi

em muốn in 2 khung số 1 và số 2 nghiêng như hình trên
bác nào rành CAD dạy em cách in khung nghiêng với
plot khung đứng thì đc chứ chưa bao giơ flàm khung nghiêng, em đa thu rotate ban ve nhung chi co cac nét vẽ của CAD chịu xoay ,các hinh background (hinh google earth dc nhap OLE) thi ko chiu rotate theo
hic
giúp em với
thank
  • 0

#2 Chiron

Chiron

    biết dimradius

  • Members
  • PipPipPipPipPip
  • 310 Bài viết
Điểm đánh giá: 90 (tàm tạm)

Đã gửi 19 January 2012 - 08:15 AM

Hình đã gửi

em muốn in 2 khung số 1 và số 2 nghiêng như hình trên
bác nào rành CAD dạy em cách in khung nghiêng với
plot khung đứng thì đc chứ chưa bao giơ flàm khung nghiêng, em đa thu rotate ban ve nhung chi co cac nét vẽ của CAD chịu xoay ,các hinh background (hinh google earth dc nhap OLE) thi ko chiu rotate theo
hic
giúp em với
thank

Chiron biết chỉ có 1 cách, dùng lệnh alignspace ở layout. Yêu cầu phải có Express tools.
  • 0

#3 thanhduan2407

thanhduan2407

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 995 Bài viết
Điểm đánh giá: 223 (khá)

Đã gửi 19 January 2012 - 08:54 AM

Bạn tham khảo ở đây và thay thế lệnh in bằng lệnh ikn (in khung nghiêng).
http://www.cadviet.c...showtopic=42078
File Cad minh hoạ ở đây.
http://www.cadviet.c...65_file_mau.dwg
Cách dùng:
Trong layout bạn dùng lệnh ikn, kích chọn 2 điểm góc khung phía dưới cùng và kích chọn Pline.
P/s: Phải đọc kỹ phần tham khảo tôi gửi cho bạn.
Một thoáng nữa tôi sẽ up Video lên.

(defun c:ikn()
(vl-load-com)
(command "PSPACE")
(command "undo" "be")
(setq
D1 (getpoint "\nChon diem thu nhat: ")
D2 (getpoint "\nChon diem thu hai: ")
)
(command "MSPACE")
(setq en (entsel "\n Chon pline "))
(if en
(progn
(setq ob (vlax-ename->vla-object (car en))
n (vlax-curve-getEndParam ob)
i 0

)
(while (<= i n)
(setq p1 (vlax-curve-getPointAtParam ob i)
p2 (vlax-curve-getPointAtParam ob (+ i 1))
)
(command "PSPACE" )
(alignspace P1 P2 D1 D2 )
(command "_plot" "" "" "" "" "" "" "")
(setq i (+ i 2))
)
)
)
(command "undo" "e")
(command "PSPACE" )
(princ)
)
P/s: Video: http://www.cadviet.c.../3/36665_11.rar
Trong quá trình thực hiện mà vướng mắc. Bạn có thể liên hệ với mình với yahoo: thanhduan2407@yahoo.com
  • 1



Tôi là con kiến bò trên sa mạc kiến thức bao la. Biển học thật rộng lớn







#4 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 19 January 2012 - 09:06 AM

Hình đã gửi

em muốn in 2 khung số 1 và số 2 nghiêng như hình trên
bác nào rành CAD dạy em cách in khung nghiêng với
plot khung đứng thì đc chứ chưa bao giơ flàm khung nghiêng, em đa thu rotate ban ve nhung chi co cac nét vẽ của CAD chịu xoay ,các hinh background (hinh google earth dc nhap OLE) thi ko chiu rotate theo
hic
giúp em với
thank

Bạn tham khảo cách làm của bác Hoành trong topic này :
http://www.cadviet.c...showtopic=11342
  • 0